- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
EPUBHTMLGenerator.cpp File Reference
`#include <sstream>`
`#include <string>`
`#include "EPUBHTMLGenerator.h"`
`#include "EPUBImageManager.h"`
`#include "EPUBListStyleManager.h"`
`#include "EPUBParagraphStyleManager.h"`
`#include "EPUBPath.h"`
`#include "EPUBSpanStyleManager.h"`
`#include "EPUBTableStyleManager.h"`
`#include "libepubgen_utils.h"`

## Classes
struct | libepubgen::EPUBHTMLGeneratorImpl
| the internal state of a html document generator More...

## Namespaces
| libepubgen

## Variable Documentation

int m_actualId
| mutable

the actual id

ZoneSinkImpl m_delayedLabel

the label

bool m_empty

std::string m_lastCloseElement

ZoneSinkImpl m_sink

the sink

Type m_type

the zone type

EPUBHTMLTextZone* m_zone

a zone

int m_zoneId

the zone id

std::vector<ZoneSinkImpl> m_zoneSinks

the list of data string